update i22, i29
SET i29.p203={peg_nnn},
    i29.remdate='{odbcdtos(date())}',
    i29.remtime='{time()}',
    i29.remuser='{user_pswd}'
    
WHERE i22.p01={nnr01}
  &&  i29.p203<>{peg_nnn}
  &&  i29.p01=i22.nr01;
